
From: Pavel Machek <pavel@ucw.cz>

Vadim says:

I was reading through the kernel/power/Kconfig file, and noticed that
the wording was slightly unclear. I poked at it a bit, hopefully making
the description a tad more straightforward, but you be the judge. :)
Diffed against 2.6.10-rc2.

From: Vadim Lobanov <vlobanov@speakeasy.net>
Signed-off-by: Vadim Lobanov <vlobanov@speakeasy.net>
Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/power/Kconfig |   15 +++++++--------
 1 files changed, 7 insertions(+), 8 deletions(-)

diff -puN kernel/power/Kconfig~swsusp-kconfig-change-in-wording-fwd kernel/power/Kconfig
--- 25/kernel/power/Kconfig~swsusp-kconfig-change-in-wording-fwd	2004-11-28 01:36:16.253311184 -0800
+++ 25-akpm/kernel/power/Kconfig	2004-11-28 01:36:16.257310576 -0800
@@ -35,14 +35,13 @@ config SOFTWARE_SUSPEND
 	  You may suspend your machine by 'swsusp' or 'shutdown -z <time>' 
 	  (patch for sysvinit needed). 
 
-	  It creates an image which is saved in your active swaps. By the next
-	  booting the, pass 'resume=/dev/swappartition' and kernel will 
-	  detect the saved image, restore the memory from
-	  it and then it continues to run as before you've suspended.
-	  If you don't want the previous state to continue use the 'noresume'
-	  kernel option. However note that your partitions will be fsck'd and
-	  you must re-mkswap your swap partitions. It does not work with swap
-	  files.
+	  It creates an image which is saved in your active swap. Upon next
+	  boot, pass the 'resume=/dev/swappartition' argument to the kernel to
+	  have it detect the saved image, restore memory state from it, and
+	  continue to run as before. If you do not want the previous state to
+	  be reloaded, then use the 'noresume' kernel argument. However, note
+	  that your partitions will be fsck'd and you must re-mkswap your swap
+	  partitions. It does not work with swap files.
 
 	  Right now you may boot without resuming and then later resume but
 	  in meantime you cannot use those swap partitions/files which were
_
